Namespace
library
Image / Tag
docker:18.09.7-rc1-dind
Content Digest
sha256:01b9f12c4d0716387874f90b987cccc77ae3624decd46e3f9e7e5761b8e4b40a
Details
Created

2019-06-25 19:20:15 UTC

Size

54.2 MB

Content Digest
Environment
DIND_COMMIT

37498f009d8bf25fbb6199e8ccd34bed84f2874b

DOCKER_CHANNEL

test

DOCKER_VERSION

18.09.7-rc1

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:921b31ab772b38172fd9f942a40fae6db24decbd6706f67836260d47a72baab5 - 4.91% (2.66 MB)

[#001] sha256:2d38965338529dc04aed99fbfbf548d181545c1ee2352b716e4ead932b3d11c9 - 0.53% (295 KB)

[#002] sha256:28c34ce20860db7ccc4b5329e6db12278b15269042d97d77ab3d8ebc0df71d0c - 0.0% (154 Bytes)

[#003] sha256:c8d610d6edd09013de8da09e1509c1183af285c8d5b79dfcc2f0214d9bf910ff - 85.41% (46.3 MB)

[#004] sha256:29f21fd3c3ccd8cc7d63627afad374dec041799ee55adf51fc0bd0be1ea501e3 - 0.0% (545 Bytes)

[#005] sha256:6f42f7d873e48c78d078a4ccfe58ad93308dc4fab7e43f8062cdc2634e27967b - 0.0% (737 Bytes)

[#006] sha256:f61e3aa670cb9e4229b4f76322bb5b648f01fac7c833a3fbf40b56d07fc9312a - 9.15% (4.96 MB)

[#007] sha256:af3d2fb8f2cab413390854a1a000979183fce058c5bd100d06b3599db0bde3d6 - 0.0% (1.28 KB)

[#008] sha256:b1fe9c56720a080cd52e6678df70334ffbbe107120f4632c76b08deaabb33008 - 0.0% (756 Bytes)

[#009] sha256:551b87a7550c2a2258ee9c6500e1db26c135aceafa6dd8bc5335099c3a0fbeab - 0.0% (577 Bytes)


History
2019-06-19 21:19:43 UTC

/bin/sh -c #(nop) ADD file:fef3b00b3ae63967d8f4d83174b3fcecb55c9bada02b3e4f5a9b79a21b6c3bb3 in /

2019-06-19 21:19:43 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-06-20 20:19:37 UTC

/bin/sh -c apk add --no-cache ca-certificates

2019-06-20 20:19:38 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2019-06-25 19:19:35 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test

2019-06-25 19:20:00 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.7-rc1

2019-06-25 19:20:07 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2019-06-25 19:20:07 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2019-06-25 19:20:07 UTC

/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/

2019-06-25 19:20:07 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-06-25 19:20:07 UTC

/bin/sh -c #(nop) CMD ["sh"]

2019-06-25 19:20:12 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2019-06-25 19:20:13 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2019-06-25 19:20:14 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=37498f009d8bf25fbb6199e8ccd34bed84f2874b

2019-06-25 19:20:14 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2019-06-25 19:20:15 UTC

/bin/sh -c #(nop) COPY file:779dca3bbfbd33f9223bd74feaf003513d1936b73cdbfb2a8e52d9a12505d90c in /usr/local/bin/

2019-06-25 19:20:15 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2019-06-25 19:20:15 UTC

/bin/sh -c #(nop) EXPOSE 2375

2019-06-25 19:20:15 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2019-06-25 19:20:15 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2019-06-25 18:50:31 UTC

Size

49 MB

Content Digest
Environment
DIND_COMMIT

37498f009d8bf25fbb6199e8ccd34bed84f2874b

DOCKER_CHANNEL

test

DOCKER_VERSION

18.09.7-rc1

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:257a368dd99250a68424e4023851034502f33df88589bf37646c56babc8e2e81 - 4.99% (2.45 MB)

[#001] sha256:a527635218456f4864687dc30300b70e06efd5e7d91486c09eb252d175b55890 - 0.59% (295 KB)

[#002] sha256:f320f0bfec91582dcce181c87dc311bca1826cebd451b35e928f9bb43e5930a2 - 0.0% (153 Bytes)

[#003] sha256:0d0357324fe2bc12fbb3983a160bc336ec92d4d7dba32b9616542b0d5e1aa721 - 88.97% (43.6 MB)

[#004] sha256:ebaef06853b0afa044519095f33bbf5fb3d03b787be4570a560cbbdcf0a4e973 - 0.0% (544 Bytes)

[#005] sha256:bc45c3d8bce6138b08d69151fa2a1810b4d4aa4c5abfbc545cba14565b023d2d - 0.0% (739 Bytes)

[#006] sha256:a5c9f4368468c235ed4fb5074924c12a8ef810930af73abc72d9b3b603dead5d - 5.44% (2.67 MB)

[#007] sha256:e0faa6c075cfbd91f9ed682cee3b32e5623adc87c6f77ae4bc9d91ce0a1dc21a - 0.0% (1.31 KB)

[#008] sha256:f33a2f06c7962ea063f444a185751e6f6d9263d2009323749be66df234665b38 - 0.0% (753 Bytes)

[#009] sha256:d30a3a87598b8ab78b016ed8cfe442eb845e65156127ca31e1e35bea34429753 - 0.0% (579 Bytes)


History
2019-06-19 20:49:36 UTC

/bin/sh -c #(nop) ADD file:03b59368fa7e7f72a84a6f78b72e59d6bf46d5109acc13aecbab7c8c440e4add in /

2019-06-19 20:49:36 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-06-20 20:49:24 UTC

/bin/sh -c apk add --no-cache ca-certificates

2019-06-20 20:49:26 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2019-06-25 18:49:28 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test

2019-06-25 18:50:08 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.7-rc1

2019-06-25 18:50:16 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2019-06-25 18:50:17 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2019-06-25 18:50:18 UTC

/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/

2019-06-25 18:50:18 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-06-25 18:50:19 UTC

/bin/sh -c #(nop) CMD ["sh"]

2019-06-25 18:50:26 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2019-06-25 18:50:27 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2019-06-25 18:50:28 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=37498f009d8bf25fbb6199e8ccd34bed84f2874b

2019-06-25 18:50:29 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2019-06-25 18:50:30 UTC

/bin/sh -c #(nop) COPY file:779dca3bbfbd33f9223bd74feaf003513d1936b73cdbfb2a8e52d9a12505d90c in /usr/local/bin/

2019-06-25 18:50:30 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2019-06-25 18:50:31 UTC

/bin/sh -c #(nop) EXPOSE 2375

2019-06-25 18:50:31 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2019-06-25 18:50:31 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2019-06-25 18:58:35 UTC

Size

48.6 MB

Content Digest
Environment
DIND_COMMIT

37498f009d8bf25fbb6199e8ccd34bed84f2874b

DOCKER_CHANNEL

test

DOCKER_VERSION

18.09.7-rc1

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:fd0f3c17efd43a26a5fce1692600c9a45e087cd84f50f61df6780702cc0050fe - 4.66% (2.27 MB)

[#001] sha256:dc6a614d312be6d9892ffc22ceab48ff53c57250da1ea8815afc34674ba2e03d - 0.59% (294 KB)

[#002] sha256:3bb84b62bcf2b0f814a4ef768d5d2b3fa0a59518b26bf510d6f387388ab719a7 - 0.0% (153 Bytes)

[#003] sha256:7a39eeced8f67102cb71fb2a5acf7b2cc5c857f06892bb6bee052eefea1ed088 - 89.84% (43.6 MB)

[#004] sha256:7cb6db03fb252939a169ee6164856edc0d36efef2fd3b5315cbd3238de9ae91f - 0.0% (544 Bytes)

[#005] sha256:ff3fe769ef893e5644849cb57f89386af0a04cd95a5d9ca62f96c6a98c7c5709 - 0.0% (737 Bytes)

[#006] sha256:d4e361a2caa7e3dab4b740fe1b7416f64f7757d7b1564827ea78667d36ec0b9f - 4.89% (2.38 MB)

[#007] sha256:ca2905c20c958946714b8ea76e8c0c3beb5d3dbe26bb67604aa1acf39beba7d6 - 0.0% (1.31 KB)

[#008] sha256:ceab6ee982dee91d061fbe020131044b6967f7ac0edc942183f13dd6f00f215b - 0.0% (758 Bytes)

[#009] sha256:0b930d846cbcbedd5244d330dc7fe19cab1ffb774c2d5e22984a0845d99fa808 - 0.0% (576 Bytes)


History
2019-06-19 20:57:43 UTC

/bin/sh -c #(nop) ADD file:0fb1a3eecd6693893c4c94275505763f0c6432d1cbd38fea5c27baa5256b32aa in /

2019-06-19 20:57:44 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-06-20 20:57:48 UTC

/bin/sh -c apk add --no-cache ca-certificates

2019-06-20 20:57:49 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2019-06-25 18:57:30 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test

2019-06-25 18:58:11 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.7-rc1

2019-06-25 18:58:20 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2019-06-25 18:58:21 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2019-06-25 18:58:22 UTC

/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/

2019-06-25 18:58:22 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-06-25 18:58:23 UTC

/bin/sh -c #(nop) CMD ["sh"]

2019-06-25 18:58:29 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2019-06-25 18:58:31 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2019-06-25 18:58:31 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=37498f009d8bf25fbb6199e8ccd34bed84f2874b

2019-06-25 18:58:33 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2019-06-25 18:58:33 UTC

/bin/sh -c #(nop) COPY file:779dca3bbfbd33f9223bd74feaf003513d1936b73cdbfb2a8e52d9a12505d90c in /usr/local/bin/

2019-06-25 18:58:34 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2019-06-25 18:58:34 UTC

/bin/sh -c #(nop) EXPOSE 2375

2019-06-25 18:58:35 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2019-06-25 18:58:35 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2019-06-25 19:40:26 UTC

Size

49.5 MB

Content Digest
Environment
DIND_COMMIT

37498f009d8bf25fbb6199e8ccd34bed84f2874b

DOCKER_CHANNEL

test

DOCKER_VERSION

18.09.7-rc1

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:54e94bcddc88729dd11dea70b3489452e71c2d5f846551f59fdeb807af4319d7 - 5.23% (2.59 MB)

[#001] sha256:43582c0db3f3b37f7cd4c9cf946d061a36e286fb74408d73da8920c1ef65c156 - 0.58% (295 KB)

[#002] sha256:9fe16242a9df16c896f29039c844a1995bd938c52af0d952541de26815dbe49b - 0.0% (154 Bytes)

[#003] sha256:f1e6df8029656b69170c742a918bb14cd1a2ed64a92884502f31a2b80110c338 - 84.1% (41.7 MB)

[#004] sha256:befc34b8e476f92103aa45479d5377711bf772e03f0479a4ea66f236129fa4e7 - 0.0% (544 Bytes)

[#005] sha256:59c22d154b599368f946a68ac88a7c443e57ec819d6c95881d1e15687611b7bc - 0.0% (736 Bytes)

[#006] sha256:77b934eeda5e4b4da23455833bb996d3bb76ace63e8b5736fcccf6038ff3ebbc - 10.08% (4.99 MB)

[#007] sha256:da1f1c929a3d8f6985a760ed081d937da4c9732911d1f2a992fb8340f44172e2 - 0.0% (1.31 KB)

[#008] sha256:8ab97f34752adc00291e9f2f6108edbfd4dfa6cda07b0786164f1a637e7686c1 - 0.0% (757 Bytes)

[#009] sha256:a3e6fa5a7f3e53ce444eea9017eaf2c5d5a1f124971ffccc5aa5ab1d02a89570 - 0.0% (578 Bytes)


History
2019-06-19 20:39:38 UTC

/bin/sh -c #(nop) ADD file:5ff5a563323bccd2fa42c7839aa0e7b4041af209e44bcb5bc9e07c4a94074b66 in /

2019-06-19 20:39:38 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-06-20 20:39:43 UTC

/bin/sh -c apk add --no-cache ca-certificates

2019-06-20 20:39:45 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2019-06-25 19:39:30 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test

2019-06-25 19:40:07 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.7-rc1

2019-06-25 19:40:13 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2019-06-25 19:40:13 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2019-06-25 19:40:14 UTC

/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/

2019-06-25 19:40:14 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-06-25 19:40:15 UTC

/bin/sh -c #(nop) CMD ["sh"]

2019-06-25 19:40:21 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2019-06-25 19:40:22 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2019-06-25 19:40:23 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=37498f009d8bf25fbb6199e8ccd34bed84f2874b

2019-06-25 19:40:24 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2019-06-25 19:40:25 UTC

/bin/sh -c #(nop) COPY file:779dca3bbfbd33f9223bd74feaf003513d1936b73cdbfb2a8e52d9a12505d90c in /usr/local/bin/

2019-06-25 19:40:25 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2019-06-25 19:40:26 UTC

/bin/sh -c #(nop) EXPOSE 2375

2019-06-25 19:40:26 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2019-06-25 19:40:26 UTC

/bin/sh -c #(nop) CMD []

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete